pirate_attacks_sf <-
  read_csv(
    "data/csv/pirate_attacks.csv",
    col_types = cols(
      date = col_date(format = ""),
      time = col_character(),
      longitude = col_double(),
      latitude = col_double(),
      attack_type = col_character(),
      location_description = col_character(),
      nearest_country = col_character(),
      eez_country = col_character(),
      shore_distance = col_double(),
      shore_longitude = col_double(),
      shore_latitude = col_double(),
      attack_description = col_character(),
      vessel_name = col_character(),
      vessel_type = col_character(),
      vessel_status = col_character(),
      data_source = col_character()
    )
  ) %>%
  st_as_sf(coords = c("longitude", "latitude"))